
Ruby - Bug #4714

Move documentation for proxy attributes

05/17/2011 03:40 AM - amikula (Alf Mikula)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version: 1.9.3   

ruby -v: ruby 1.9.3dev (2011-05-11 trunk 31507)

[x86_64-darwin10.7.0] 

Backport:  

Description

The documentation for proxy attributes is placed on accessors in the instance, while attr_accessor calls go undocumented. This

patch moves the documentation to the attr_accessors, and documents the convenience methods on the instance accordingly.

Associated revisions

Revision 13ae409e - 05/16/2011 10:15 PM - drbrain (Eric Hodel)

lib/net/http.rb:  Improve documentation of proxy configuration

methods.  Patch by Alf Mikula.  [Ruby 1.9 - Bug #4714]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31603 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/17/2011 07:15 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31603.

Alf, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/net/http.rb:  Improve documentation of proxy configuration

methods.  Patch by Alf Mikula.  [Ruby 1.9 - Bug #4714]

#2 - 05/17/2011 07:16 AM - drbrain (Eric Hodel)

I changed 'in self.class' to 'in Net::HTTP' to be a little more clear.

#3 - 05/17/2011 09:25 AM - amikula (Alf Mikula)

Eric Hodel wrote:

I changed 'in self.class' to 'in Net::HTTP' to be a little more clear.

 Good call.

Files

0001-Move-documentation-for-proxy_-to-the-class-s-attr_re.patch 1.85 KB 05/17/2011 amikula (Alf Mikula)
